Skip to main content
Get the Skill inventory report
curl --request POST \
  --url https://{tenant_name}.{region}.techwolf.ai/reports/skill_inventory \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entity_type": "employee",
  "entity_columns": [
    {
      "column_name": "dim_column_name",
      "property_name": "dim_property_name"
    }
  ],
  "entity_properties": [
    {
      "property_name": "fact_property_name"
    }
  ]
}
'
"<string>"

Documentation Index

Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

force_recalculate
boolean
default:false

Reports are always stored for a certain time, and if this endpoint is called again within that time, the stored report is returned without recalculating. If force_recalculate is set to true, the report is recalculated and the stored report is overwritten.

Body

application/json

Filters for the Skill inventory report.

entity_type
enum<string>
required

Name of the entity type for which the report will be generated.

Available options:
Employee
Minimum string length: 1
Example:

"employee"

entity_columns
object[]
required

The Custom Property columns that will be included in the dim_{entity}.csv file. This can be an empty list.

entity_properties
object[]
required

The Custom Properties that will be included in the fact_{entity}_properties.csv file. This can be an empty list.

Response

OK.

The response is of type file.